<?php
if (!defined("IN_FUSION")) { die("Access Denied"); }

define("THEME_BULLET", "<img src='".THEME."images/bullet.gif' alt='' style='border:0' />"); 
require_once INCLUDES."theme_functions_include.php";
// require_once "menu.php";

/* Theme Settings */

$body_text = "#000000";
$body_bg = "#828282";
$theme_width = "100%";
// $theme_width_l = "200";
// $theme_width_r = "200";

function render_page($license=false) {

global $theme_width,$settings,$locale,$db_prefix,$userdata,$aidlink;

echo "
  <table align='center' width='$theme_width' cellspacing='0' cellpadding='0' border='0'>
    <tr>
      <td>
        <table width='100%' border='0' cellspacing='0' cellpadding='0' class='full-header'>
          <tr>
            <td width='10%' height='135px'>&nbsp;</td>
            <td width='80%' height='135px'>".showbanners()."</td>
            <td width='10%' height='135px'></td>
          </tr>
        </table>

        <table width='100%' border='0' cellspacing='0' cellpadding='0' class='full-header'>
          <tr>
            <td width='10%' valign='bottom'>
              <div class='menuline'>&nbsp;</div>
            </td>
            <td width='80%'>
              <div id='menu' class='menu'>".showsublinks("", "white")."</div>
              <div class='menuline'>&nbsp;</div>
            </td>
            <td width='10%' valign='bottom'>
              <div class='menuline'>&nbsp;</div>
            </td>
          </tr>
        </table>

        <table width='100%' cellpadding='0' cellspacing='0' border='0' align='center'>
          <tr valign='top'>
            <td valign='middle' align='right'>
              <table width='100%' cellpadding='2' bgcolor='#ffffff' cellspacing='0' border='0'>
                <tr>
                    <td width='10%'>&nbsp;</td>";
                    if (LEFT) { echo "<td class='side-border-left' valign='top' align='left'>".LEFT."</td>"; }
                    echo "<td class='main-bg' valign='top' align='left'>".U_CENTER.CONTENT.L_CENTER."</td>";
                    if (RIGHT) { echo "<td class='side-border-right' valign='top' align='left'>".RIGHT."</td>"; }

echo "                  </td>
                      </tr>
                    </table>
                  </td>
                  <td width='10%'></td>
                </tr>
              </table>
            </td>
          </tr>
        </table>
      </td>
    </tr>
  </table>
  <table cellpadding='2' cellspacing='0' width='$theme_width' class='footer'>
    <tr>
      <td width='90%' align='center'>
        <table cellspacing='0' cellpadding='2' width='100%' border='0'>
          <tr>
            <td align='center' class='footer'>".stripslashes($settings['footer'])."</td>
          </tr>
        </table>
        <table cellspacing='0' cellpadding='2' width='100%' border='0'>
          <tr>
            <td width='80%' align='left' class='footer'>
              Glossy Pink theme originally by <a href='mailto:benjamin.eriksen@gmail.com'>Fusionate Themes</a>. Converted to PHP-Fusion 7 by <a href='http://www.php-fusion.nu/' target='_blank'>Kenneth</a>.<br />
              ".showcopyright()."
            </td>
            <td width='20%' align='right' class='footer'>
              <font class='visits'><strong>".showcounter()."</strong></font>
            </td>
          </tr>
        </table>
      </td>
    </tr>
  </table>";

//	echo "</table>";
//Footer end
}


function render_news($subject, $news, $info) {
	
global $locale;
	
	echo "
  <table bgcolor='#ffffff' cellspacing='0' width='100%' cellpadding='3'>
    <tr>
      <td class='panel'>$subject</td>
    </tr>
  </table>
  <table width='100%' cellpadding='0' cellspacing='0' class='border'>
    <tr>
      <td>
        <table width='100%' cellpadding='0' cellspacing='0'>
          <tr>
            <td class='main-body'>$news</td>
          </tr>
        </table>
        <table width='100%' cellpadding='0' cellspacing='0'>
          <tr>
            <td height='24' align='center' class='news-footer'>
              ".newsposter($info,"&middot;").newsopts($info,"&middot;").itemoptions("N",$info['news_id'])."
            </td>
          </tr>
        </table>
      </td>
    </tr>
  </table>";
}

function render_article($subject, $article, $info) {
	
global $locale;
	
echo "
  <table bgcolor='#ABA8A0' class='border2' cellspacing='0' width='100%' cellpadding='3'>
    <tr>
      <td class='panel'>$subject</td>
    </tr>
  </table>
  <table width='100%' cellpadding='0' cellspacing='0' class='border'>
    <tr>
      <td>
        <table width='100%' cellpadding='0' cellspacing='0'>
          <tr>
            <td class='main-body'>".($info['article_breaks'] == "y" ? nl2br($article) : $article)."</td>
          </tr>
        </table>
        <table width='100%' cellpadding='0' cellspacing='0'>
          <tr>
            <td height='24' align='right' class='news-footer'>
              ".articleposter($info, THEME_BULLET).articleopts($info, THEME_BULLET).itemoptions("A",$info['article_id'])."
            </td>
          </tr>
        </table>
      </td>
    </tr>
  </table>";
}

function opentable($title) {

echo "
  <table cellpadding='0' cellspacing='0' width='100%' class='border'>
    <tr>
      <td height='3px'></td>
    </tr>
    <tr>
      <td class='capmain'>$title</td>
    </tr>
    <tr>
      <td class='main-body'>\n";

}

function closetable() {
echo "
      </td>
    </tr>
  </table>";
}


function openside($title, $collapse = false, $state = "on") {

global $panel_collapse; $panel_collapse = $collapse;
$boxname = str_replace(" ", "", $title);

echo "
  <table width='100%' cellpadding='0' cellspacing='0'>
    <tr>
      <td class='border-tleft' valign='top'><img src='".THEME."images/blank.gif' width='25px' height='25px' alt='' style='display:block' /></td>
      <td class='border-tmain' valign='middle'>$title</td>".
      ($collapse ? "<td align='right' class='border-tmain' valign='top'>".panelbutton($state, $boxname)."</td>" : "")."
      <td class='border-tright' valign='top'><img src='".THEME."images/blank.gif' width='25px' height='25px' alt='' style='display:block' /></td>
    </tr>
  </table>
  <table width='100%' cellpadding='0' cellspacing='0'>
    <tr>
      <td class='border-left'><img src='".THEME."images/blank.gif' width='25px' height='1px' alt='' style='display:block' /></td>
      <td class='side-body'>";
        if ($collapse == true) { echo panelstate($state, $boxname); }
}

function closeside() {

global $panel_collapse;

         if ($panel_collapse == true) { echo "</div>\n"; }
echo "</td>
      <td class='border-right'><img src='".THEME."images/blank.gif' width='13' height='1' alt='' style='display:block' /></td>
    </tr>
    <tr>
      <td class='border-bleft'><img src='".THEME."images/blank.gif' width='13' height='20' alt='' style='display:block' /></td>
      <td class='border-bmain'><img src='".THEME."images/blank.gif' width='1' height='20' alt='' style='display:block' /></td>
      <td class='border-bright'><img src='".THEME."images/blank.gif' width='13' height='20' alt='' style='display:block' /></td>
    </tr>
    <tr>
      <td height='11px'></td>
    </tr>
  </table>";
}

?>
